<!--
Copyright (c) 2019, The Linux Foundation. All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:
  * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
  * Redistributions in binary form must reproduce the above
    copyright notice, this list of conditions and the following
    disclaimer in the documentation and/or other materials provided
    with the distribution.
  * Neither the name of The Linux Foundation nor the names of its
    contributors may be used to endorse or promote products derived
    from this software without specific prior written permission.
THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT
ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

-->
<node name="com.qualcomm.qti.adk.audiomanager"
    xmlns="http://adkcodegen/dbus_interface"
    xmlns:adk="http://adkcodegen/dbus_interface/adk_types"
    namespace="ProfileConfig" bustype="session">

    <adk:types>
        <adk:type name="UserConfig"
            description="Helper type for user configs in each zone profile">
            <adk:attr name="Id" type="q" description="Unique Id of a configuration"/>
            <adk:attr name="ConfigName" type="s"
                description="Name of configuration i.e, 'stereo','5.1' etc."/>
            <adk:attr name="ChannelCount" type="q"
                description="Indicates total channel count for a user configuration"/>
            <adk:attr name="ChannelList" type="as"
                description="List of channels for a user configuration. Eg: front-left, front-right etc."/>
        </adk:type>
    </adk:types>

    <object path="/com/qualcomm/qti/adk/audiomanager/zones/'zone_id'/'profile_id'" >
        <interface name="com.qualcomm.qti.adk.audiomanager.profile_configuration">
            <method name="SetConfig"
                description="Sets the config to given channel configuration id.">
                <arg name="ConfigId" type="q" direction="in"/>
            </method>
            <property name="UserConfigCount" type="q" access="read"
                description="Indicates available user channel configuration count.">
                <annotation name="org.freedesktop.DBus.Property.EmitsChangedSignal" value="invalidates"/>
            </property>
            <property name="ActiveConfigId" type="q" access="read"
                description="Indicates id of active channel configuration">
            </property>
            <property name="UserConfigs" type="a(#/adk:types/adk:type[@name='UserConfig']#)" access="read"
                description="Details of a specific user configuration."
                override_fmt="a{sv}">
                <annotation name="org.freedesktop.DBus.Property.EmitsChangedSignal" value="invalidates"/>
            </property>
        </interface>
    </object>
</node>

